Subject: Re: [bug report] armada-8040-mcbin: 5.6-rc5 boot failure

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 13 Apr 2020 23:26:45 +0100

On Tue, Apr 14, 2020 at 01:05:20AM +0300, Sergey Matyukevich wrote:
> Hi Russel, Miquel, and all,
> 
> MacchiatoBin Double-shot board fails to boot v5.6-rc5 kernel properly:
> USB, PCIe, and ethernet interfaces are not enabled. Before that I have
> been running v5.3 kernel w/o any noticeable issues.
> 
> In brief, USB and PCIe devices are not detected, ethernet PHY fails
> to initialize with the following warnings:
> [    2.444150] mvebu-comphy f4120000.phy: unsupported SMC call, try updating your firmware
> [    2.452191] mvebu-comphy f4120000.phy: Firmware could not configure PHY 0 with mode 15 (ret: -1), trying legacy method
> [    2.474615] mvpp2 f4000000.ethernet eth2: Using firmware node mac address ...
> [    2.484420] mvebu-comphy f4120000.phy: unsupported SMC call, try updating your firmware
> 
> After quick bisection of the board dts files, I came to the following results:
> 
> - USB works again after reverting the following two commits:
>   -- 96018a6fafb1 ("arm64: dts: marvell: Convert 7k/8k usb-phy properties to phy-supply")
>   -- 01d0deba28f6 ("arm64: dts: marvell: Add 7k/8k PHYs in USB3 nodes")
> 
> - PCIe works again after reverting armada-8040-mcbin.dtsi parts of the
>   following two commits:
>   -- 1399672e48b5 ("arm64: dts: marvell: Drop PCIe I/O ranges from CP11x file")
>   -- ce55522c035e ("arm64: dts: marvell: Add 7k/8k PHYs in PCIe nodes")
> 
> - ethernet: not yet...
> 
> However looking at firmware version complaints, I guess that the actual
> reason of all those issues could be in ATF version rather than in the
> latest DTS changes. Probably I am using ATF version which is too old
> to work with up-to-date kernel: armada-17.10.3 from atf-marvell
> repository on github. If this is indeed the actual root cause of all
> the issues, then could you please recommend a preferable ATF version
> to test with ?

I would strongly recommend upgrading the firmware in any case, because
of work I did (and submitted back through Jon @ SolidRun) to improve
the eye mask on the 10G Ethernet interfaces.  I'm using the 18.12
version.  Firmware build instructions can be found at:

https://developer.solid-run.com/knowledge-base/armada-8040-machiatobin-u-boot-and-atf/

I've booted 5.6 recently on a number of Armada 8040 based boards
without issue, likely all running the later firmware.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel